export const defaultSettings = {
  display: {
    dark_mode: true as boolean,
    accent_color: "#8ab4f8" as string,
    transition_duration: 200 as number,
    radius: 8 as number,
    window_height: 60 as number,
    window_width: 400 as number,
    font_family: "monospace" as string,
    font_scaling: 100,
  },
} as const;

export type SettingsType = typeof defaultSettings;
