import { Box, Button, TextField, Typography } from "@mui/material";
import {
  ConfirmDialogOptions,
  DialogFilter,
  MessageDialogOptions,
  OpenDialogOptions,
} from "@tauri-apps/api/dialog";
import {
  isPermissionGranted,
  Options,
  requestPermission,
  sendNotification,
} from "@tauri-apps/api/notification";
import { useState } from "react";
import { HeaderBar } from "../components/HeaderBar/HeaderBar";

export default function Home() {
  const [content, setContent] = useState("Please enter your name");

  const confirmDialogOptions: ConfirmDialogOptions = {
    cancelLabel: "fuck no",
    okLabel: "fuck yes",
    title: "this is a title",
    type: "error",
  };

  const dialogFilter: DialogFilter = {
    extensions: ["png", "jpeg"],
    name: "this is a name",
  };

  const messageDialogOptions: MessageDialogOptions = {
    okLabel: "fuck yes",
    title: "this is a title",
    type: "warning",
  };

  const openDialogOptions: OpenDialogOptions = {
    defaultPath: "/home/vomitblood/Downloads",
    directory: false,
    filters: [dialogFilter],
    multiple: true,
  };

  const notificationOptions: Options = {
    // body: "hello this is the body",
    // icon: "/home/vomitblood/Downloads/Screenshot 2024-07-14 212730.png",
    // sound: "Alerts",
    title: "hello this is the title",
  };

  const bruh = async () => {
    let permissionGranted = await isPermissionGranted();
    if (!permissionGranted) {
      const permission = await requestPermission();
      permissionGranted = permission === "granted";
    }
    if (permissionGranted) {
      sendNotification("Tauri is awesome!");
      sendNotification({ title: "TAURI", body: "Tauri is awesome!" });
    }
  };

  async function handleClick() {
    console.log("bruh");
    // let permissionGranted = await isPermissionGranted();
    // console.log(permissionGranted);
    // const permission = await requestPermission();
    // if (!permissionGranted) {
    //   const permission = await requestPermission();
    //   permissionGranted = permission === "granted";
    // }
    // if (permissionGranted) {
    sendNotification(notificationOptions);
    // }
  }

  return (
    <Box>
      <HeaderBar />
      <TextField
        label="Name"
        onChange={(e) => setContent(e.target.value)}
        size="small"
        variant="outlined"
      />
      <Button variant="contained" onClick={handleClick}>
        Submit
      </Button>
      <Typography>
        <b>Response:</b> {content}
      </Typography>
    </Box>
  );
}
